<template>
  <div class="no-data-wrapper">
    <img class="no-data-img" :src="NoDataImage" alt="" />
    <span class="no-data-text">暂无数据</span>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

import { NoDataImage } from '@life-payment/constants';

export default defineComponent({
  name: 'NoData',

  setup() {
    return {
      NoDataImage,
    };
  },
});
</script>

<style lang="scss">
.no-data-wrapper {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  flex-direction: column;

  .no-data-img {
    width: 284px;
    height: 202px;
  }

  .no-data-text {
    font-size: 20px;
    color: #333333;
    line-height: 2.4;
  }
}
</style>
